from typing import Any, List

import dream3d.simpl

class CreateAbaqusFile(dream3d.simpl.AbstractFilter):
    AbqFeatureIdsArrayPath: dream3d.simpl.DataArrayPath
    CellEulerAnglesArrayPath: dream3d.simpl.DataArrayPath
    CellPhasesArrayPath: dream3d.simpl.DataArrayPath
    JobName: str
    MatConst: dream3d.simpl.DynamicTableData
    NumDepvar: int
    NumUserOutVar: int
    OutputFilePrefix: str
    OutputPath: str
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class CreateBsamFile(dream3d.simpl.AbstractFilter):
    NumClusters: int
    OutputFilePrefix: str
    OutputPath: str
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class Export3dSolidMesh(dream3d.simpl.AbstractFilter):
    CellAttributeMatrixName: str
    FeatureCentroidArrayPath: dream3d.simpl.DataArrayPath
    FeatureEulerAnglesArrayPath: dream3d.simpl.DataArrayPath
    FeaturePhasesArrayPath: dream3d.simpl.DataArrayPath
    GmshSTLFileName: str
    IncludeHolesUsingPhaseID: bool
    LimitTetrahedraVolume: bool
    MaxRadiusEdgeRatio: float
    MaxTetrahedraVolume: float
    MeshFileFormat: int
    MeshSize: int
    MeshingPackage: int
    MinDihedralAngle: float
    NetgenSTLFileName: str
    OptimizationLevel: int
    PackageLocation: str
    PhaseID: int
    RefineMesh: bool
    SurfaceMeshFaceLabelsArrayPath: dream3d.simpl.DataArrayPath
    TetDataContainerName: str
    VertexAttributeMatrixName: str
    outputPath: str
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ExportDAMASKFiles(dream3d.simpl.AbstractFilter):
    CellEulerAnglesArrayPath: dream3d.simpl.DataArrayPath
    CellPhasesArrayPath: dream3d.simpl.DataArrayPath
    CompressGeomFile: bool
    DataFormat: int
    FeatureIdsArrayPath: dream3d.simpl.DataArrayPath
    GeometryFileName: str
    HomogenizationIndex: int
    OutputPath: str
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ExportLAMMPSFile(dream3d.simpl.AbstractFilter):
    AtomFeatureLabelsPath: dream3d.simpl.DataArrayPath
    LammpsFile: str
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ExportMultiOnScaleTableFile(dream3d.simpl.AbstractFilter):
    ArrayName: str
    DataContainerPrefix: str
    MatrixName: str
    NumKeypoints: dream3d.simpl.IntVec3
    OutputPath: str
    PhaseNamesArrayPath: dream3d.simpl.DataArrayPath
    SelectedArrays: str
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ExportOnScaleTableFile(dream3d.simpl.AbstractFilter):
    NumKeypoints: dream3d.simpl.IntVec3
    OutputFilePrefix: str
    OutputPath: str
    PhaseNamesArrayPath: dream3d.simpl.DataArrayPath
    PzflexFeatureIdsArrayPath: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ImportDeformKeyFilev12Filter(dream3d.simpl.AbstractFilter):
    CellAttributeMatrixName: str
    DEFORMInputFile: str
    DataContainerName: str
    VerboseOutput: bool
    VertexAttributeMatrixName: str
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ImportDelamData(dream3d.simpl.AbstractFilter):
    BvidStdOutFile: str
    CSDGMFile: str
    DataContainerPath: dream3d.simpl.DataArrayPath
    InterfaceThickness: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ImportFEAData(dream3d.simpl.AbstractFilter):
    ABQPythonCommand: str
    BSAMInputFile: str
    CellAttributeMatrixName: str
    DEFORMInputFile: str
    DEFORMPointTrackInputFile: str
    DataArrayList: List[str]
    DataContainerName: str
    FEAPackage: int
    FrameNumber: int
    ImportSingleTimeStep: bool
    InstanceName: str
    SelectedPointNumArrayName: str
    SelectedTimeArrayName: str
    SelectedTimeStepArrayName: str
    SelectedXCoordArrayName: str
    SelectedYCoordArrayName: str
    SingleTimeStepValue: int
    Step: str
    TimeSeriesBundleName: str
    VertexAttributeMatrixName: str
    odbFilePath: str
    odbName: str
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ImportOnScaleTableFile(dream3d.simpl.AbstractFilter):
    CellAttributeMatrixName: str
    FeatureIdsArrayName: str
    InputFile: str
    MaterialNameArrayName: str
    Origin: dream3d.simpl.FloatVec3
    PhaseAttributeMatrixName: str
    Spacing: dream3d.simpl.FloatVec3
    VolumeDataContainerName: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...
    @property
    def RectGridGeometryDesc(self) -> str: ...
